/* Base styles for all screen sizes */
.footer {
  width: 100%;
  background-color: #1e2d3b;
  color: #fff;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding-top: 30px;
  font-family: 'Karla', sans-serif;
}

.footer-container {
  display: flex;
  justify-content: space-around;
  max-width: 80%;
  width: 100%;
  margin-bottom: 30px;
}

.footer-column {
  flex-basis: 23%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.logo-container {
  width: 100px; /* Defina o tamanho desejado para o logo */
  height: auto;
  margin-bottom: 10px;
}

.footer-column h4 {
  margin-bottom: 10px;
  text-transform: uppercase;
}

.footer-column p {
  text-align: center;
  line-height: normal;
  margin: 0;
  padding: 3px 0;
}

.social-links {
  list-style: none;
  display: flex;
}

.social-links li {
  margin: 5px;
}

.social-links a {
  color: #fff;
  text-decoration: none;
}

.social-icon {
  display: table-cell;
  border: 1px solid;
  border-color: transparent;
  box-shadow: 0 0 0 1px #fff;
  border-radius: 100px;
  font-size: 2.2rem;
  text-align: center;
  vertical-align: middle;
  height: 60px;
  width: 60px;
  transition: all .2s ease-out;
}

.social-links a:hover .social-icon {
  background-color: #fff;
  color: #1e2d3b;
}

.footer-info {
  text-align: center;
}

.footer-info p {
  font-size: 14px;
}

/* Smartphone View */
@media (max-width: 767px) {
  .footer-container {
    flex-wrap: wrap;
  }

  .footer-column {
    flex-basis: 100%;
  }

  .footer-info {
    font-size: 12px;
  }
}

/* Tablet Landscape View */
@media (min-width: 768px) and (max-width: 1023px) {
  .footer-container {
    flex-wrap: wrap;
  }

  .footer-column {
    flex-basis: 48%;
  }

  .footer-info {
    font-size: 12px;
  }
}

/* Tablet Portrait View */
@media (min-width: 768px) and (max-width: 1023px) and (orientation: portrait) {
  .footer-container {
    flex-wrap: wrap;
  }

  .footer-column {
    flex-basis: 100%;
  }

  .footer-info {
    font-size: 12px;
  }
}

/* Desktop View */
@media (min-width: 1024px) and (max-width: 1439px) {
  .footer-container {
    flex-wrap: nowrap;
  }

  .footer-column {
    flex-basis: 23%;
  }
}

/* Big Desktop View */
@media (min-width: 1440px) {
  /* No changes needed, using base styles */
}
